Amazon Linux AMI : freetype Multiple Vulnerabilities (ALAS-2012-66)

This script is Copyright (C) 2013-2014 Tenable Network Security, Inc.


Synopsis :

The remote Amazon Linux AMI host is missing a security update.

Description :

Multiple flaws were found in the way FreeType handled fonts in various
formats. If a specially crafted font file was loaded by an application
linked against FreeType, it could cause the application to crash.
(CVE-2012-1126)

Multiple flaws were found in the way FreeType handled TrueType Font
(TTF), Glyph Bitmap Distribution Format (BDF), Windows .fnt and .fon,
and PostScript Type 1 fonts. If a specially crafted font file was
loaded by an application linked against FreeType, it could cause the
application to crash or, potentially, execute arbitrary code with the
privileges of the user running the application. (CVE-2012-1134)

See also :

http://www.nessus.org/u?342de12c

Solution :

Run 'yum update freetype' to upgrade your system.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)

Family: Amazon Linux Local Security Checks

Nessus Plugin ID: 69673 ()

Bugtraq ID:

CVE ID: CVE-2012-1126
CVE-2012-1134